--- old/usr/src/cmd/sgs/librtld/Makefile.targ	2019-07-14 19:12:15.096368569 +0000
+++ new/usr/src/cmd/sgs/librtld/Makefile.targ	2019-07-14 19:12:15.112397105 +0000
@@ -36,20 +36,8 @@
 delete:
 		$(RM) $(DYNLIB)
 
-# Special target for native builds (ie. when we need to build a version of ld
-# to build a version of ld :-).
-
-native:		$(SGSLIBDIR)/$(LIBLINKS)
-
 $(PICS):	pics
 
-$(SGSLIBDIR)/$(DYNLIB): $(PICS) $(SGSLIBDIR)
-		$(BUILD.SO)
-		$(POST_PROCESS_SO)
-
-$(SGSLIBDIR)/$(LIBLINKS): $(SGSLIBDIR)/$(DYNLIB)
-		-@$(RM) $(SGSLIBDIR)/$(LIBLINKS)
-		$(SYMLINK) $(DYNLIB) $(SGSLIBDIR)/$(LIBLINKS)
 
 include		$(SRC)/lib/Makefile.targ
 include		$(SRC)/cmd/sgs/Makefile.targ
--- old/usr/src/cmd/sgs/librtld_db/Makefile.com	2019-07-14 19:12:15.541735841 +0000
+++ new/usr/src/cmd/sgs/librtld_db/Makefile.com	2019-07-14 19:12:15.557141905 +0000
@@ -36,9 +36,9 @@
 
 SRCDIR =	../common
 
-CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc
+CPPFLAGS +=	-I$(SRC)/lib/libc/inc
 DYNFLAGS +=	$(VERSREF)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
+LDLIBS +=	$(CONVLIBDIR) -lconv -lc
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
--- old/usr/src/cmd/sgs/librtld_db/demo/Makefile	2019-07-14 19:12:16.023521315 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/Makefile	2019-07-14 19:12:16.041462795 +0000
@@ -23,6 +23,7 @@
 #
 
 include		$(SRC)/Makefile.master
+include		$(SRC)/cmd/sgs/Makefile.sub
 
 MACHDEMOFILES= \
 		i386/regs.c \
--- old/usr/src/cmd/sgs/librtld_db/demo/Makefile.targ	2019-07-14 19:12:16.524250296 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/Makefile.targ	2019-07-14 19:12:16.542070473 +0000
@@ -31,10 +31,17 @@
 		$(POST_PROCESS_O)
 
 # DEMO DELETE START
-$(ROOTONLDBIN)/%: %
+
+$(ROOTONLDBIN):
+		$(INS.dir)
+
+$(ROOTONLDBIN)/$(MACH64):
+		$(INS.dir)
+
+$(ROOTONLDBIN)/%: % $(ROOTONLDBIN)
 		$(INS.file)
 
-$(ROOTONLDBIN)/$(MACH64)/%: %
+$(ROOTONLDBIN)/$(MACH64)/%: % $(ROOTONLDBIN)/$(MACH64)
 		$(INS.file)
 # DEMO DELETE END
 
@@ -92,6 +99,10 @@
 clobber: clean FRC
 		$(RM) $(PROG)
 
+# DEMO DELETE START
+catalog check chkmsg:
+# DEMO DELETE END
+
 FRC:
 
 # DEMO DELETE START
--- old/usr/src/cmd/sgs/librtld_db/demo/amd64/Makefile	2019-07-14 19:12:16.988376514 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/amd64/Makefile	2019-07-14 19:12:17.004942832 +0000
@@ -48,6 +48,8 @@
 # DEMO DELETE START
 DEMOCFLAGS=
 
+catalog:
+
 install:	all $(ROOTONLDBINPROG64)
 # DEMO DELETE END
 
--- old/usr/src/cmd/sgs/librtld_db/demo/i386/Makefile	2019-07-14 19:12:17.442887534 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/i386/Makefile	2019-07-14 19:12:17.459426139 +0000
@@ -33,6 +33,8 @@
 test:		$(TESTS)
 
 # DEMO DELETE START
+catalog:
+
 install:	all $(ROOTONLDBINPROG)
 # DEMO DELETE END
 
--- old/usr/src/cmd/sgs/librtld_db/demo/sparc/Makefile	2019-07-14 19:12:17.897137490 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/sparc/Makefile	2019-07-14 19:12:17.914063445 +0000
@@ -33,6 +33,8 @@
 test:		$(TESTS)
 
 # DEMO DELETE START
+catalog:
+
 install:	all $(ROOTONLDBINPROG)
 # DEMO DELETE END
 
--- old/usr/src/cmd/sgs/librtld_db/demo/sparcv9/Makefile	2019-07-14 19:12:18.386180914 +0000
+++ new/usr/src/cmd/sgs/librtld_db/demo/sparcv9/Makefile	2019-07-14 19:12:18.403138637 +0000
@@ -48,6 +48,8 @@
 # DEMO DELETE START
 DEMOCFLAGS=
 
+catalog:
+
 install:	all $(ROOTONLDBINPROG64)
 # DEMO DELETE END
 
--- old/usr/src/cmd/sgs/link_audit/Makefile.com	2019-07-14 19:12:18.865550434 +0000
+++ new/usr/src/cmd/sgs/link_audit/Makefile.com	2019-07-14 19:12:18.886247923 +0000
@@ -62,7 +62,7 @@
 
 $(WHOPICS):=	SEMANTICCHK=
 
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB)
+LDLIBS +=	$(CONVLIBDIR) -lconv
 
 $(TRUSSLIB):=	PICS = $(TRUSSPICS)
 $(PERFLIB):=	PICS = $(PERFPICS)
@@ -91,7 +91,6 @@
 $(ROOTCCSLIB) :=	DIRMODE =	755
 
 CPPFLAGS +=	-D_REENTRANT
-LDFLAGS +=	$(CC_USE_PROTO)
 DYNFLAGS +=	$(VERSREF)
 
 CLEANFILES +=	$(OBJDIR)/* $(PICDIR)/*
--- old/usr/src/cmd/sgs/link_audit/Makefile.targ	2019-07-14 19:12:19.361264611 +0000
+++ new/usr/src/cmd/sgs/link_audit/Makefile.targ	2019-07-14 19:12:19.378502214 +0000
@@ -80,13 +80,13 @@
 $(ROOTCCSLIB64)/%: %
 		$(INS.file)
 
-$(ROOTONLDBIN)/%: %
+$(ROOTONLDBIN)/%: % $(ROOTONLDBIN)
 		$(INS.file)
 
-$(ROOTONLDLIB)/%: %
+$(ROOTONLDLIB)/%: % $(ROOTONLDLIB)
 		$(INS.file)
 
-$(ROOTONLDLIB64)/%: %
+$(ROOTONLDLIB64)/%: % $(ROOTONLDLIB64)
 		$(INS.file)
 
 $(ROOTCCSLIB):
@@ -95,4 +95,13 @@
 $(ROOTCCSLIB64):
 	$(INS.dir)
 
+$(ROOTONLDBIN):
+	$(INS.dir)
+
+$(ROOTONLDLIB):
+	$(INS.dir)
+
+$(ROOTONLDLIB64):
+	$(INS.dir)
+
 include		../../../../lib/Makefile.targ
--- old/usr/src/cmd/sgs/link_audit/amd64/Makefile	2019-07-14 19:12:19.856823761 +0000
+++ new/usr/src/cmd/sgs/link_audit/amd64/Makefile	2019-07-14 19:12:19.873696390 +0000
@@ -39,9 +39,7 @@
 all:		$(PICDIR) .WAIT $(CCSLIBS) $(CCSSCRIPTS) \
 		$(ONSCRIPTS) $(ONLIBS)
 
-install:	all $(ROOTCCSLIB64) .WAIT $(ROOTCCSLIBS64)
-
-package:	install .WAIT $(ROOTONLDLIBS64)
+install:	all $(ROOTCCSLIB64) .WAIT $(ROOTCCSLIBS64) .WAIT $(ROOTONLDLIBS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/link_audit/i386/Makefile	2019-07-14 19:12:20.336523159 +0000
+++ new/usr/src/cmd/sgs/link_audit/i386/Makefile	2019-07-14 19:12:20.353099777 +0000
@@ -36,8 +36,7 @@
 all:		$(OBJDIR) $(PICDIR) .WAIT $(CCSLIBS) $(CCSSCRIPTS) \
 		$(ONSCRIPTS) $(ONPROGS) $(ONLIBS)
 
-install:	all $(ROOTCCSLIB) .WAIT $(ROOTUSRBINS) $(ROOTCCSLIBS)
-
-package:	install .WAIT $(ROOTONLDLIBS) $(ROOTONLDBINPROG)
+install:	all $(ROOTCCSLIB) .WAIT $(ROOTUSRBINS) $(ROOTCCSLIBS) \
+		.WAIT $(ROOTONLDLIBS) $(ROOTONLDBINPROG)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/link_audit/sparc/Makefile	2019-07-14 19:12:20.815597423 +0000
+++ new/usr/src/cmd/sgs/link_audit/sparc/Makefile	2019-07-14 19:12:20.831933211 +0000
@@ -36,8 +36,7 @@
 all:		$(OBJDIR) $(PICDIR) .WAIT $(CCSLIBS) $(CCSSCRIPTS) \
 		$(ONSCRIPTS) $(ONPROGS) $(ONLIBS)
 
-install:	all $(ROOTCCSLIB) .WAIT $(ROOTUSRBINS) $(ROOTCCSLIBS)
-
-package:	install .WAIT $(ROOTONLDLIBS) $(ROOTONLDBINPROG)
+install:	all $(ROOTCCSLIB) .WAIT $(ROOTUSRBINS) $(ROOTCCSLIBS) \
+		.WAIT $(ROOTONLDLIBS) $(ROOTONLDBINPROG)
 
 include		../Makefile.targ
--- old/usr/src/cmd/sgs/link_audit/sparcv9/Makefile	2019-07-14 19:12:21.275659292 +0000
+++ new/usr/src/cmd/sgs/link_audit/sparcv9/Makefile	2019-07-14 19:12:21.291888243 +0000
@@ -39,9 +39,8 @@
 all:		$(PICDIR) .WAIT $(CCSLIBS) $(CCSSCRIPTS) \
 		$(ONSCRIPTS) $(ONLIBS)
 
-install:	all $(ROOTCCSLIB64) .WAIT $(ROOTCCSLIBS64)
-
-package:	install .WAIT $(ROOTONLDLIBS64)
+install:	all $(ROOTCCSLIB64) .WAIT $(ROOTCCSLIBS64) \
+		.WAIT $(ROOTONLDLIBS64)
 
 include		../Makefile.targ
 include		../../Makefile.sub.64
--- old/usr/src/cmd/sgs/mcs/Makefile.com	2019-07-14 19:12:21.734594204 +0000
+++ new/usr/src/cmd/sgs/mcs/Makefile.com	2019-07-14 19:12:21.754469046 +0000
@@ -39,18 +39,18 @@
 
 COMOBJS =	main.o		file.o		utils.o		global.o \
 		message.o
-TOOLSOBJS =	alist.o
+SGSCOMMONOBJ =	alist.o
 
-OBJS =		$(COMOBJS) $(TOOLSOBJS)
+OBJS =		$(COMOBJS) $(SGSCOMMONOBJ)
 
 LLDFLAGS =	'-R$$ORIGIN/../../lib'
 LLDFLAGS64 =	'-R$$ORIGIN/../../../lib/$(MACH64)'
 LDFLAGS +=	$(VERSREF) $(LLDFLAGS)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf
 
 CERRWARN +=	-_gcc=-Wno-uninitialized
 
 SRCS =		$(COMOBJS:%.o=../common/%.c) \
-		$(TOOLSOBJS:%.o=$(SGSTOOLS)/common/%.c)
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c)
 
 CLEANFILES +=	$(OBJS)
--- old/usr/src/cmd/sgs/mcs/Makefile.targ	2019-07-14 19:12:22.244333379 +0000
+++ new/usr/src/cmd/sgs/mcs/Makefile.targ	2019-07-14 19:12:22.261529082 +0000
@@ -33,7 +33,7 @@
 		$(COMPILE.c) $<
 		$(POST_PROCESS_O)
 
-%.o:		$(SGSTOOLS)/common/%.c
+%.o:		$(SGSCOMMON)/%.c
 		$(COMPILE.c) $<
 		$(POST_PROCESS_O)
 
--- old/usr/src/cmd/sgs/moe/Makefile.com	2019-07-14 19:12:22.705298746 +0000
+++ new/usr/src/cmd/sgs/moe/Makefile.com	2019-07-14 19:12:22.721639127 +0000
@@ -39,8 +39,8 @@
 MAPFILE=	$(MAPFILE.NGB)
 MAPOPT=		$(MAPFILE:%=-M%)
 
-LDFLAGS +=	-Wl,$(VERSREF) $(CC_USE_PROTO) $(MAPOPT)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB)
+LDFLAGS +=	-Wl,$(VERSREF) $(MAPOPT)
+LDLIBS +=	$(CONVLIBDIR) -lconv
 
 BLTDEFS=	msg.h
 BLTDATA=	msg.c
--- old/usr/src/cmd/sgs/nm/amd64/Makefile	2019-07-14 19:12:23.185196516 +0000
+++ new/usr/src/cmd/sgs/nm/amd64/Makefile	2019-07-14 19:12:23.201773608 +0000
@@ -41,10 +41,10 @@
 
 LDFLAGS +=	'-R$$ORIGIN/../../../lib/$(MACH64)'
 INCLIST=	-I../../include -I../../include/i386 \
-		-I$(SRCBASE)/uts/$(ARCH)/sys
+		-I$(SRC)/uts/$(ARCH)/sys
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master) -I$(ELFCAP)
 
-LDLIBS +=	$(CONVLIBDIR64) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR64) -lconv $(ELFLIBDIR) -lelf
 
 %.o:		../common/%.c
 		$(COMPILE.c) $<
--- old/usr/src/cmd/sgs/nm/i386/Makefile	2019-07-14 19:12:23.651610778 +0000
+++ new/usr/src/cmd/sgs/nm/i386/Makefile	2019-07-14 19:12:23.670792141 +0000
@@ -42,11 +42,11 @@
 
 LLDFLAGS =	'-R$$ORIGIN/../../lib'
 INCLIST=	-I../../include -I../../include/i386 \
-		-I$(SRCBASE)/uts/$(ARCH)/sys
+		-I$(SRC)/uts/$(ARCH)/sys
 DEFLIST=	-DTARGET=I386 -DI386=1 -D$(ARFORMAT) -DELF
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master) -I$(ELFCAP)
 
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf
 objs.xpg4/%.o := CPPFLAGS += -DXPG4
 
 $(DEMOBJS):=	DEFLIST = -DELF_OBJ
--- old/usr/src/cmd/sgs/nm/sparc/Makefile	2019-07-14 19:12:24.150448625 +0000
+++ new/usr/src/cmd/sgs/nm/sparc/Makefile	2019-07-14 19:12:24.169662997 +0000
@@ -42,10 +42,10 @@
 
 LLDFLAGS=	'-R$$ORIGIN/../../lib'
 INCLIST=	-I../../include -I../../include/sparc \
-		-I$(SRCBASE)/uts/$(ARCH)/sys
+		-I$(SRC)/uts/$(ARCH)/sys
 DEFLIST=	-DTARGET=SPARC -DSPARC=1 -D$(ARFORMAT) -DELF
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master)  -I$(ELFCAP)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf
 objs.xpg4/%.o := CPPFLAGS += -DXPG4
 
 
--- old/usr/src/cmd/sgs/nm/sparcv9/Makefile	2019-07-14 19:12:24.622186683 +0000
+++ new/usr/src/cmd/sgs/nm/sparcv9/Makefile	2019-07-14 19:12:24.635771477 +0000
@@ -40,10 +40,10 @@
 
 LDFLAGS +=	'-R$$ORIGIN/../../../lib/$(MACH64)'
 INCLIST=	-I../../include -I../../include/sparc \
-		-I$(SRCBASE)/uts/$(ARCH)/sys
+		-I$(SRC)/uts/$(ARCH)/sys
 DEFLIST=	-DTARGET=SPARC -DSPARC=1 -D$(ARFORMAT) -DELF
 CPPFLAGS=	$(INCLIST) $(DEFLIST) $(CPPFLAGS.master) -I$(ELFCAP)
-LDLIBS +=	$(CONVLIBDIR64) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR64) -lconv $(ELFLIBDIR) -lelf
 
 
 %.o:		../common/%.c
--- old/usr/src/cmd/sgs/prof/Makefile.com	2019-07-14 19:12:27.155077769 +0000
+++ new/usr/src/cmd/sgs/prof/Makefile.com	2019-07-14 19:12:27.172263486 +0000
@@ -48,7 +48,7 @@
 # not linted
 SMATCH=off
 
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf
 
 %.o:		../common/%.c
 		$(COMPILE.c) $<
--- old/usr/src/cmd/sgs/pvs/Makefile.com	2019-07-14 19:12:27.656569822 +0000
+++ new/usr/src/cmd/sgs/pvs/Makefile.com	2019-07-14 19:12:27.673530545 +0000
@@ -35,19 +35,19 @@
 COMOBJ=		pvs.o
 BLTOBJ=		msg.o
 
-TOOLOBJS =	alist.o
+SGSCOMMONOBJ =	alist.o
 
-OBJS=		$(BLTOBJ) $(COMOBJ) $(TOOLOBJS)
+OBJS=		$(BLTOBJ) $(COMOBJ) $(SGSCOMMONOBJ)
 
 MAPFILE=	$(MAPFILE.NGB)
 MAPOPTS=	$(MAPFILE:%=-M%)
 
-CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc
+CPPFLAGS +=	-I$(SRC)/lib/libc/inc
 LLDFLAGS =	'-R$$ORIGIN/../lib'
 LLDFLAGS64 =	'-R$$ORIGIN/../../lib/$(MACH64)'
-LDFLAGS +=	$(VERSREF) $(CC_USE_PROTO) $(MAPOPTS) $(LLDFLAGS)
-LDLIBS +=	$(LDDBGLIBDIR) $(LDDBG_LIB) $(ELFLIBDIR) -lelf \
-		    $(CONVLIBDIR) $(CONV_LIB)
+LDFLAGS +=	$(VERSREF) $(MAPOPTS) $(LLDFLAGS)
+LDLIBS +=	$(LDDBGLIBDIR) -llddbg $(ELFLIBDIR) -lelf \
+		    $(CONVLIBDIR) -lconv
 
 # not linted
 SMATCH=off
@@ -65,6 +65,6 @@
 SGSMSGFLAGS +=	-h $(BLTDEFS) -d $(BLTDATA) -m $(BLTMESG) -n pvs_msg
 
 SRCS=		$(COMOBJ:%.o=../common/%.c) $(BLTDATA) \
-		$(TOOLOBJS:%.o=$(SGSTOOLS)/common/%.c)
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c)
 
 CLEANFILES +=	$(BLTFILES)
--- old/usr/src/cmd/sgs/pvs/Makefile.targ	2019-07-14 19:12:28.139427900 +0000
+++ new/usr/src/cmd/sgs/pvs/Makefile.targ	2019-07-14 19:12:28.159485639 +0000
@@ -29,7 +29,7 @@
 		$(COMPILE.c) $<
 		$(POST_PROCESS_O)
 
-%.o:		$(SGSTOOLS)/common/%.c
+%.o:		$(SGSCOMMON)/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
--- old/usr/src/cmd/sgs/rtld/Makefile.com	2019-07-14 19:12:28.602163575 +0000
+++ new/usr/src/cmd/sgs/rtld/Makefile.com	2019-07-14 19:12:28.619784807 +0000
@@ -29,13 +29,13 @@
 
 AVLOBJ=		avl.o
 DTROBJ=		dtrace_data.o
-TOOLOBJS=	alist.o strhash.o
+SGSCOMMONOBJ=	alist.o strhash.o
 BLTOBJ=		msg.o
 ELFCAPOBJ=	elfcap.o
 OBJECTS=	$(BLTOBJ) \
 		$(AVLOBJ) \
 		$(DTROBJ) \
-		$(TOOLOBJS) \
+		$(SGSCOMMONOBJ) \
 		$(ELFCAPOBJ) \
 		$(P_ASOBJS)   $(P_COMOBJS)   $(P_MACHOBJS)   $(G_MACHOBJS)  \
 		$(S_ASOBJS)   $(S_COMOBJS)   $(S_MACHOBJS)   $(CP_MACHOBJS)
@@ -75,10 +75,10 @@
 
 FILEMODE =	755
 
-CPPFLAGS +=	-I$(SRCBASE)/lib/libc/inc \
-		-I$(SRCBASE)/uts/common/krtld \
-		-I$(SRCBASE)/uts/$(PLAT) \
-		-I$(SRCBASE)/uts/$(PLAT)/krtld \
+CPPFLAGS +=	-I$(SRC)/lib/libc/inc \
+		-I$(SRC)/uts/common/krtld \
+		-I$(SRC)/uts/$(PLAT) \
+		-I$(SRC)/uts/$(PLAT)/krtld \
 		-I$(SRC)/common/sgsrtcid \
 		-I$(ELFCAP) \
 		 $(CPPFEATUREMACROS)
@@ -101,11 +101,11 @@
 CPICLIB64 =	$(VAR_RTLD_CPICLIB64)
 CLIB =		-lc_pic
 
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) \
+LDLIBS +=	$(CONVLIBDIR) -lconv \
 		$(CPICLIB) $(CLIB) \
-		$(LDDBGLIBDIR) $(LDDBG_LIB) \
+		$(LDDBGLIBDIR) -llddbg \
 		$(RTLDLIB) -lrtld \
-		$(LDLIB) $(LD_LIB)
+		$(LDLIB) -lld
 
 DYNFLAGS +=	-i -e _rt_boot $(VERSREF) $(ZNODLOPEN) \
 		$(ZINTERPOSE) -zdtrace=dtrace_data '-R$$ORIGIN'
@@ -138,9 +138,9 @@
 
 SRCS=		$(AVLOBJ:%.o=$(VAR_AVLDIR)/%.c) \
 		$(DTROBJ:%.o=$(VAR_DTRDIR)/%.c) \
-		$(TOOLOBJS:%.o=$(SGSTOOLS)/common/%.c) \
+		$(SGSCOMMONOBJ:%.o=$(SGSCOMMON)/%.c) \
 		$(COMOBJS:%.o=../common/%.c)  $(MACHOBJS:%.o=%.c) $(BLTDATA) \
-		$(G_MACHOBJS:%.o=$(SRCBASE)/uts/$(PLAT)/krtld/%.c) \
+		$(G_MACHOBJS:%.o=$(SRC)/uts/$(PLAT)/krtld/%.c) \
 		$(CP_MACHOBJS:%.o=../$(MACH)/%.c) \
 		$(ASOBJS:%.o=%.s)
 
--- old/usr/src/cmd/sgs/rtld/Makefile.targ	2019-07-14 19:12:29.091101819 +0000
+++ new/usr/src/cmd/sgs/rtld/Makefile.targ	2019-07-14 19:12:29.108246076 +0000
@@ -58,11 +58,11 @@
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%.o:	$(SGSTOOLS)/common/%.c
+pics/%.o:	$(SGSCOMMON)/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-pics/%.o:	$(SRCBASE)/uts/$(PLAT)/krtld/%.c
+pics/%.o:	$(SRC)/uts/$(PLAT)/krtld/%.c
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
@@ -71,7 +71,7 @@
 		$(POST_PROCESS_O)
 
 $(RTLD):	pics $(PICS) $(CRTS)
-		$(LD_USE_PROTO)ld -o $@ -dy -G $(DYNFLAGS) $(CRTI) $(PICS) \
+		$(LD) -o $@ -dy -G $(DYNFLAGS) $(CRTI) $(PICS) \
 		    $(LDLIBS) $(CRTN)
 		$(POST_PROCESS_SO)
 
--- old/usr/src/cmd/sgs/rtld/mdbmod/Makefile.com	2019-07-14 19:12:29.565270573 +0000
+++ new/usr/src/cmd/sgs/rtld/mdbmod/Makefile.com	2019-07-14 19:12:29.583832713 +0000
@@ -66,7 +66,7 @@
 		-I$(SRC)/uts/$(ARCH)/sys
 
 DYNFLAGS +=	$(VERSREF)
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) -lc
+LDLIBS +=	$(CONVLIBDIR) -lconv -lc
 
 ROOTMDBLIB=	$(ROOT)/usr/lib/mdb/proc
 ROOTMDBLIB64=	$(ROOTMDBLIB)/$(MACH64)
--- old/usr/src/cmd/sgs/rtld/sparc/Makefile	2019-07-14 19:12:30.052839026 +0000
+++ new/usr/src/cmd/sgs/rtld/sparc/Makefile	2019-07-14 19:12:30.071445538 +0000
@@ -53,7 +53,7 @@
 CRTN=		pics/crtn.o
 CRTS=		$(CRTI)		$(CRTN)
 
-CHKSRCS=	$(SRCBASE)/uts/common/krtld/reloc.h
+CHKSRCS=	$(SRC)/uts/common/krtld/reloc.h
 
 BASEPLAT =	sparc
 
--- old/usr/src/cmd/sgs/rtld/sparcv9/Makefile	2019-07-14 19:12:30.532317115 +0000
+++ new/usr/src/cmd/sgs/rtld/sparcv9/Makefile	2019-07-14 19:12:30.549761252 +0000
@@ -52,7 +52,7 @@
 CRTN=		pics/crtn.o
 CRTS=		$(CRTI)		$(CRTN)
 
-CHKSRCS=	$(SRCBASE)/uts/common/krtld/reloc.h
+CHKSRCS=	$(SRC)/uts/common/krtld/reloc.h
 
 BASEPLAT =	sparc
 
--- old/usr/src/cmd/sgs/size/Makefile.com	2019-07-14 19:12:31.040328501 +0000
+++ new/usr/src/cmd/sgs/size/Makefile.com	2019-07-14 19:12:31.057930953 +0000
@@ -44,6 +44,6 @@
 LLDFLAGS64 =	'$(LDPASS)-R$$ORIGIN/../../../lib/$(MACH64)'
 LDFLAGS +=	$(LLDFLAGS)
 
-LDLIBS +=	$(CONVLIBDIR) $(CONV_LIB) $(ELFLIBDIR) -lelf
+LDLIBS +=	$(CONVLIBDIR) -lconv $(ELFLIBDIR) -lelf
 
 CLEANFILES +=	$(OBJS)
--- old/usr/src/cmd/sgs/tools/Makefile	2019-07-14 19:12:31.523389128 +0000
+++ new/usr/src/cmd/sgs/tools/Makefile	2019-07-14 19:12:31.539658849 +0000
@@ -38,20 +38,7 @@
 
 include		$(SRC)/Makefile.master
 
-LSSRCS=		info.sh	\
-		proto.sh
-
-SRCS=		$(LSSRCS)
-
-LEXECS=		$(LSSRCS:%.sh=%)
-
-ROOTDIR =	$(ROOT)/opt/SUNWonld/bin
-ROOTPROGS =	$(GEXECS:%=$(ROOTDIR)/%)
-ROOTPROGS +=	$(PSRCS:%=$(ROOTDIR)/%)
-
-$(ROOTPROGS) :=	FILEMODE=755
-
-SUBDIRS=	$(MACH) man
+SUBDIRS=	$(MACH)
 
 all:=		TARGET= all
 install:=	TARGET= install
@@ -61,29 +48,11 @@
 
 .KEEP_STATE:
 
-all:		$(EXECS) $(SUBDIRS)
-
-install:	all $(ROOTPROGS) $(SUBDIRS)
-
-clean clobber:	$(SUBDIRS)
-		$(RM) $(RMFLAGS) $(EXECS)
+all install clean clobberall: $(SUBDIRS)
 
 delete:
 
-%:		%.ksh
-		$(RM) $@
-		cat $< > $@
-		chmod +x $@
-
 $(SUBDIRS):	FRC
 		@cd $@; pwd; $(MAKE) $(TARGET)
 
-$(ROOTDIR)/%:	%
-		$(INS.file)
-
-$(ROOTDIR)/%:	scoping/%
-		$(INS.file)
-
 FRC:
-
-execs:		$(EXECS)
--- old/usr/src/cmd/sgs/tools/Makefile.com	2019-07-14 19:12:32.015094208 +0000
+++ new/usr/src/cmd/sgs/tools/Makefile.com	2019-07-14 19:12:32.033819119 +0000
@@ -29,8 +29,10 @@
 #
 # Makefile to support tools used for linker development:
 #
-#  o	sgsmsg creates message headers/arrays/catalogs (a native tool).
+# chkmsg	- checks that sgsmsg is used correctly
+# piglatin	- generates phone message catalogs for testing
 #
+
 # Note, these tools are not part of the product.
 #
 # cmd/sgs/tools/Makefile.com
@@ -39,29 +41,12 @@
 
 include		$(SRC)/cmd/sgs/Makefile.com
 
-SGSPROTO=	../../proto/$(MACH)
-
-COMOBJS=
-
-NATOBJS=	piglatin.o
-
-OBJECTS=	$(COMOBJS)  $(NATOBJS)
-
-AVLOBJ=		avl.o
-TOOL_OBJS=	sgsmsg.o string_table.o findprime.o assfail.o
-SGSMSG_OBJS=	$(TOOL_OBJS) $(AVLOBJ)
-SGSMSG_SRCS=	$(TOOL_OBJS:%.o=../common/%.c) \
-		$(AVLOBJ:%.o=$(VAR_AVLDIR)/%.c)
-
-$(SGSMSG_OBJS) := NATIVE_CFLAGS += -I../../include $(VAR_TOOLS_CPPFLAGS)
+OBJECTS=	piglatin.o
 
-PROGS=		$(COMOBJS:%.o=%)
-NATIVE=		$(NATOBJS:%.o=%) sgsmsg
-SRCS=		$(COMOBJS:%.o=../common/%.c)  $(NATOBJS:%.o=../common/%.c)
+NATIVE=		$(OBJECTS:%.o=%)
+SRCS=		$(OBJECTS:%.o=../common/%.c)
 
 CPPFLAGS +=	$(VAR_TOOLS_CPPFLAGS)
-LDFLAGS +=	$(CC_USE_PROTO)
-CLEANFILES +=	$(SGSMSG_OBJS)
 
 ROOTDIR=	$(ROOT)/opt/SUNWonld
 ROOTPROGS=	$(PROGS:%=$(ROOTDIR)/bin/%)
--- old/usr/src/cmd/sgs/tools/Makefile.targ	2019-07-14 19:12:32.490989116 +0000
+++ new/usr/src/cmd/sgs/tools/Makefile.targ	2019-07-14 19:12:32.507154548 +0000
@@ -33,21 +33,6 @@
 $(ROOTDIR)/lib/%:	%
 		$(INS.file)
 
-sgsmsg:		$(SGSMSG_OBJS)
-		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) \
-			-o $@ $(SGSMSG_OBJS)
-
-sgsmsg.o:	../common/sgsmsg.c
-		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) -c ../common/sgsmsg.c
-
-string_table.o:	../common/string_table.c
-		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) -c \
-		    ../common/string_table.c
-
-avl.o:		$(VAR_AVLDIR)/avl.c
-		$(NATIVECC) $(DEBUG) $(NATIVE_CFLAGS) -c \
-		    $(VAR_AVLDIR)/avl.c
-
 piglatin:	../common/piglatin.c
 		$(NATIVECC) $(NATIVE_CFLAGS) -o $@ ../common/piglatin.c
 
@@ -59,8 +44,6 @@
 		$(COMPILE.c) -o $@ $<
 		$(POST_PROCESS_O)
 
-catalog:	sgsmsg
-
 clobber:	clean
 		$(RM) $(PROGS) $(NATIVE) $(CLOBBERFILES)
 
